/**
 * Get map of translations for a given phrase in each language.
 * @param method - Source translation method to use.
 * @param args - Method arguments.
 * @returns Map of translations.
 */
export declare function __m<T extends (...args: any) => any>(method: T, ...args: Parameters<T>): Record<string, string>;
//# sourceMappingURL=__m.d.ts.map