import { I18nParams } from '../types';
/**
 * Supports the advanced MessageFormat as provided by excellent messageformat module.
 * You should definetly head over to messageformat.github.io for a guide to MessageFormat.
 * `i18n-for-browser` takes care of `new MessageFormat('en').compile(msg);`
 * with the current msg loaded from it's json files and cache that complied fn in memory.
 * So in short you might use it similar to `__()` plus extra object to accomblish MessageFormat's formating.
 * @param phraseOrParams - Phrase to translate or params.
 * @param values - Values to print.
 * @returns Translate.
 */
export declare function __mf(phraseOrParams: string | TemplateStringsArray | I18nParams, ...values: any[]): string;
//# sourceMappingURL=__mf.d.ts.map